Subject: bug#63710: use-package not working

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Thu, 25 May 2023 17:02:27 +0200

No worries, just let me know how I can help when and if I have a free cycle
:-)

/PA

On Thu, 25 May 2023 at 15:13, Andrea Corallo <[email-masked]> wrote:

> Pedro Andres Aranda Gutierrez <[email-masked]> writes:
>
> > First: the .emacs.d/init.el test file
> >
> > ------
> > ;;
> > ;; My .emacs file
> > ;;
> > (require 'package)
> > (setq package-archives '(("melpa" . "https://melpa.org/packages/")
> > ("gnu" . "https://elpa.gnu.org/packages/")
> >                          ("melpa-stable" . "
> https://stable.melpa.org/packages/")
> > ("nongnu" . "https://elpa.nongnu.org/nongnu/")))
> > (eval-when-compile
> >   (require 'use-package))
> > (unless (file-directory-p package-user-dir)
> >     (package-refresh-contents))
> > (require 'use-package-ensure)
> > (setq use-package-always-ensure t)
> >
> > (use-package "compat")
> > ------
> >
> > Second: 1d5b164109b59559d34c545c2a163fa067ca22b2 does work
> >
> > BTW,  it has to do with native compilation. I have accidentally not
> deleted the eln-cache in on of the tests and the
> > 'wrong' Emacs has started correctly:
> > 1. started 1d5b164109b59559d34c545c2a163fa067ca22b2 with eln-clean cache
> ---> OK
> > 2. started b2b2be98da5825e6bc130999ffe38f5ed615586a with eln-cache from
> the last start --> OK
> > 3. started b2b2be98da5825e6bc130999ffe38f5ed615586a with clean eln-cache
> ---> KO
>
> From these SHA1s looks like there's good chance it's my fault...
>
> I'll have a look.
>
> Thanks
>
>   Andrea
>

-- 
Fragen sind nicht da, um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet